Bug 1027723 - Quota: volume-reset shouldn't remove quota-deem-statfs, unless explicitly specified, when quota is enabled.
Quota: volume-reset shouldn't remove quota-deem-statfs, unless explicitly spe...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
Unspecified Unspecified
medium Severity unspecified
: ---
: RHGS 3.1.1
Assigned To: Manikandan
Anil Shah
: EasyFix, ZStream
Depends On:
Blocks: 1211860 1250582 1251815 1252297
  Show dependency treegraph
 
Reported: 2013-11-07 05:35 EST by Gowrishankar Rajaiyan
Modified: 2016-09-20 00:29 EDT (History)
10 users (show)

See Also:
Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Previously, when the 'gluster volume reset <VOLNAME>' command was executed, the features.quota-deem-statfs option was set to default value. Wtth this fix, when you execute 'gluster volume reset <VOLNAME>' command, features.quota-deem-statfs option is not changed. Setting and resetting of this option is allowed only through 'gluster volume quota <VOLNAME> enable/disable' command.
Story Points: ---
Clone Of:
: 1211860 1250582 (view as bug list)
Environment:
Last Closed: 2015-10-05 03:07:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-11-07 05:35:25 EST
Credit: Thanks to Krishnan Parthasarathi for identifying this.

Description of problem: Performing volume reset on a volume with quota and deem-statfs enabled, deem-statfs is reset to default, which is "off". This should be left as "on" when quota is enabled on that volume.


Version-Release number of selected component (if applicable):
glusterfs-server-3.4.0.39rhs-1.el6rhs.x86_64

How reproducible: Always


Steps to Reproduce:
1. Enable quota
2. Set deem-statfs to on
3. Perform volume-reset

Actual results: deem-statfs is reset to off (default).


Expected results: deem-statfs should stay "on" along with quota.


Additional info:
Volume Name: shanks-quota
Type: Distributed-Replicate
Volume ID: 2e661bf1-828d-412e-92cb-8eceacf29f5f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.43.3:/rhs/shanks-quota/quota1
Brick2: 10.70.43.199:/rhs/shanks-quota/quota1
Brick3: 10.70.43.156:/rhs/shanks-quota/quota1
Brick4: 10.70.43.1:/rhs/shanks-quota/quota1
Options Reconfigured:
features.quota-deem-statfs: on
features.quota: on

[root@server1 ~]# gluster vol reset shanks-quota
volume reset: success: All unprotected fields were reset. To reset the protected fields, use 'force'.
[root@server1 ~]#

Volume Name: shanks-quota
Type: Distributed-Replicate
Volume ID: 2e661bf1-828d-412e-92cb-8eceacf29f5f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.43.3:/rhs/shanks-quota/quota1
Brick2: 10.70.43.199:/rhs/shanks-quota/quota1
Brick3: 10.70.43.156:/rhs/shanks-quota/quota1
Brick4: 10.70.43.1:/rhs/shanks-quota/quota1
Options Reconfigured:
features.quota: on
Comment 2 Sachin Pandit 2015-04-22 02:23:04 EDT
With the current framework its not possible to fix the bug. Hence removing this from current release
Comment 4 Vijaikumar Mallikarjuna 2015-08-13 07:55:44 EDT
upstream patch# http://review.gluster.org/11839
Comment 7 Manikandan 2015-08-17 02:45:18 EDT
Patch posted downstream:
https://code.engineering.redhat.com/gerrit/#/c/55299/
Comment 8 Anil Shah 2015-08-25 05:38:33 EDT
[root@darkknight ~]# gluster v info
 
Volume Name: testvol
Type: Distributed-Replicate
Volume ID: 2535f3a2-5b0f-42cc-8131-36a5ce78d231
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.47.2:/rhs/brick1/b01
Brick2: 10.70.47.3:/rhs/brick1/b02
Brick3: 10.70.47.143:/rhs/brick1/b03
Brick4: 10.70.47.145:/rhs/brick1/b04
Options Reconfigured:
features.quota-deem-statfs: on
features.inode-quota: on
features.quota: on
performance.readdir-ahead: on

[root@darkknight ~]# gluster v reset testvol
volume reset: success: All unprotected fields were reset. To reset the protected fields, use 'force'.
[root@darkknight ~]# gluster v info
 
Volume Name: testvol
Type: Distributed-Replicate
Volume ID: 2535f3a2-5b0f-42cc-8131-36a5ce78d231
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.47.2:/rhs/brick1/b01
Brick2: 10.70.47.3:/rhs/brick1/b02
Brick3: 10.70.47.143:/rhs/brick1/b03
Brick4: 10.70.47.145:/rhs/brick1/b04
Options Reconfigured:
features.quota-deem-statfs: on
performance.readdir-ahead: on
features.inode-quota: on
features.quota: on

Bug verified on build glusterfs-3.7.1-12.el7rhgs.x86_64
Comment 9 Divya 2015-09-23 05:11:38 EDT
Pleaser review and sign-off the edited doc text.
Comment 11 errata-xmlrpc 2015-10-05 03:07:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.